%def_disable static

Name: libraw1394
Version: 0.10.0
Release: alt1

Summary: FireWire interface library
Group: System/Libraries
License: GPL/LGPL
Url: http://www.linux1394.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/files/%name/%name-%version.tar.gz
Patch: libraw1394-0.10.0-alt-makefile.patch
Patch1: libraw1394-0.10.0-alt-doc.patch

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

# Automatically added by buildreq on Sat Jan 10 2004
BuildRequires: OpenSP docbook-dtds docbook-style-dsssl docbook-utils openjade sgml-common

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependancy on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package tools
Summary: Development and include files for libraw1394
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description tools
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This package provides tools to dump, send, format IEEE 1394
isochronous channel packets and test %name basic functionality.

%package devel
Summary: Development and include files for libraw1394
Group: Development/C
Requires: %name = %version-%release

%description devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This package contains the header files for libraw1394 development

%package devel-static
Summary: Development components for libraw1394
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This package contains the static libraries.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
touch ChangeLog
%__automake -a -c -f
%__autoconf

%configure \
    %{subst_enable static}

%make_build
%make -C doc htmldoc

%install
%makeinstall aclocaldir=%buildroot%_datadir/aclocal

%__mv doc/%name doc/html

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README NEWS AUTHORS 

%files devel
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*
%doc doc/html

%files tools
%_bindir/*
%_man1dir/*
%_man5dir/*

%if_enabled static
%files devel-static
%_libdir/*.a 
%endif

%changelog
* Sat Jan 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt1
- new version.
- tools subpackage.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt3
- do not package .la files.

* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt2
- %%url changed.
- rebuild

* Sat May 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- Adopted for Sisyphus. 

* Mon Jun 04 2001 Harald Welte <laforge@gnumonks.org>
- redhat 7 compile...

* Mon Jun 04 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394=0.9.0-1cl
- updated to 0.9.0

* Thu Apr 05 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394-0.8.2-1cl
- initial conectiva RPM
- split devel package in devel / devel-static
- updated to 0.8.2

* Fri Jan 05 2001 Harald Welte <laforge@gnumonks.org>
- ported SPECfile to RedHat RPM
- libraw1394 0.8.1

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
